import { IAsyncStore } from '@eppo/js-client-sdk-common';
export default class VercelAsyncStore<T> implements IAsyncStore<T> {
    private expirationTimeSeconds;
    private client;
    private storageKey;
    private createdAtKey;
    private _isInitialized;
    /**
     * @param edgeConfig Vercel Edge config store connection string (usually Vercel creates EDGE_CONFIG env var, this is what needed)
     * @param edgeStoreId Vercel Edge config store id
     * @param vercelApiToken  Vercel api token, used for store write operations
     * @param expirationTimeSeconds
     */
    constructor(edgeConfig: string, edgeConfigStoreId: string, edgeConfigToken: string, expirationTimeSeconds?: number);
    isInitialized(): boolean;
    isExpired(): Promise<boolean>;
    getEntries(): Promise<Record<string, T>>;
    setEntries(entries: Record<string, T>): Promise<void>;
}
//# sourceMappingURL=vercel-async-store.d.ts.map